// Copyright (C) 2021 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only

import QtQuick 6.7
import SimpleEffectComposerDemo

Window {
    width: 1280
    height: 800
    visible: true
    title: "Effect Composer Example"

    Screen01 {
        id: mainScreen
        width: 1980
        height: 1080

        Component.onCompleted: {
            if (mainScreen.width > Window.width
                    && mainScreen.height > Window.height) {
                mainScreen.width = Window.width
                mainScreen.height = Window.height
            } else {
                mainScreen.width = 1980
                mainScreen.height = 1080
            }
        }
    }

}
